Create an Invoice

Creates a draft invoice that you can send later using the 'Send an Invoice' request. Returns an invoice_id value, which you can use to interact with the invoice.

Note: This operation requires special permissions for vendor account use. Contact Qualpay Support to enable it.

Body Params

Invoice

string
required

Format: Variable length, up to 32 AN
Description: The customer ID associated with this invoice. If the customer does not exist in the system, set the save_customer flag to true, and a new customer record will be created.

boolean

Description: If set to true, the system will send the invoice to the customer as specified in the request body.
Default: false

boolean
string
required

Format: Variable length, up to 25 AN
Description: The invoice number (also referred to as the purchase identifier) generated by the merchant.

from_contact
object

The contact sending the invoice.

billing_contact
object

The contact to send the bill to.

string

Format: Variable length, up to 20 AN
Description: The unique Payment Gateway profile ID to be used when making an invoice payment. If profile_id is not provided, the system uses the currency specified in tran_currency. If both profile_id and tran_currency are sent, the system uses the currency and settings associated with the profile_id.

string

Format: Variable length, up to 3 AN
Description: The ISO numeric currency code. This must be a currency code associated with one of your payment profiles; contact Qualpay to add currencies. Refer to Currency Codes for a list of currency codes. If both profile_id and tran_currency fields are provided, the currency associated with the profile_id is used and tran_currency is updated to match profile_id’s currency.
Default: 840

string
string

Format: Variable length, up to 500 AN
Description: The invoice payment terms description. By default, the system uses the payment terms note information from the invoice settings page in the Merchant Manager portal.

checkout_settings
object
sales_tax
object
payment_terms
object
string

Format: Variable length, up to 10 AN,in YYYY-MM-DD format
Description: The invoice date.

line_items
array of objects

The invoice line item details.

line_items
boolean

Description: Set this value to true to create a customer profile. When this is set to true, customer_id and billing_contact fields are required.
Default: false

boolean

Description: If set to true, the system will automatically generate an invoice number.
Default: false

Responses

Language
Credentials
Basic
base64
:
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json